HDF: java/src/jni/hdfvsqImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfvsqImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSQuerycount (JNIEnv *env, jclass clss, jlong vdata_id, jintArray n_records)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSQueryfields (JNIEnv *env, jclass clss, jlong vdata_id, jobjectArray fields)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSQueryinterlace (JNIEnv *env, jclass clss, jlong vdata_id, jintArray interlace)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSQueryname (JNIEnv *env, jclass clss, jlong vdata_id, jobjectArray vdata_name)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSQueryref (JNIEnv *env, jclass clss, jlong vdata_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSQuerytag (JNIEnv *env, jclass clss, jlong vdata_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSQueryvsize (JNIEnv *env, jclass clss, jlong vdata_id, jintArray vdata_size)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_VSQuerycount()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSQuerycount | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jintArray | n_records )

## ◆ Java_hdf_hdflib_HDFLibrary_VSQueryfields()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSQueryfields | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jobjectArray | fields )

## ◆ Java_hdf_hdflib_HDFLibrary_VSQueryinterlace()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSQueryinterlace | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jintArray | interlace )

## ◆ Java_hdf_hdflib_HDFLibrary_VSQueryname()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSQueryname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jobjectArray | vdata_name )

## ◆ Java_hdf_hdflib_HDFLibrary_VSQueryref()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSQueryref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSQuerytag()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSQuerytag | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSQueryvsize()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSQueryvsize | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jintArray | vdata_size )